function buscarDeppla(b, a){
  const parametros = new FormData();
  parametros.append("txtNom", document.formDeppla.txtNom.value);

  $.ajax({
    data:  parametros,
    url:   "busDeppla/data.php",
    type:  "post",
    contentType: false,
    processData: false,
    beforeSend: function () {
      alLoad("Consultando...")
    },
    success: function (jsonPhp) {
      const jsonJS = JSON.parse(jsonPhp);

      tblClear("tblDeppla");
      jsonJS.dep.forEach(function(i){
        addRowDeppla(i.dep_cod, i.dep_nom);
      });

      $("#tblDeppla tbody tr").dblclick(function() {
        selectDeppla(a, $(this));
      });

      $("#tblDeppla tbody #btnSelecDeppla").click(function() {
        selectDeppla(a, $(this).parents("tr"));
      });

      alClose();
    }
  });
}

function addRowDeppla(cod, nom) {
  const markup =  "<tr>"
                    +"<td>"+cod+"</td>"
                    +"<td>"+nom+"</td>"
                    +"<td><button class='btn btn-sm btn-warning badge' id='btnSelecDeppla'>"+textBtnSelec+"</button></td>"
                  +"</tr>";
  $("#tblDeppla tbody").append(markup);
}

function selectDeppla(a, tr) {
  $("#pills-"+a+"-tab").click();
  /*if (inputProvee == "txtNit") {
    document.thisform.txtNit.value = tr.find("td:eq(0)").text();
    $("form[name='thisform'] #txtNit").trigger("change");
  } else {*/
    $("#"+inputCod).val(tr.find("td:eq(0)").text());
    $("#"+inputCod).trigger("change");
  //}

  //$('html, body').animate( { scrollTop : 0 }, 500 );
  tblClear("tblDeppla");
}